SAP Knowledge Base Article - Preview

2088864 - An application server using jConnect 7.07 (JDBC 4 level) reports the JDBC version as 3 instead of 4

Symptom

  • WAS reports that SAP ASE JDBC driver 7.07 (from SDK 15.7 SP110) is JDBC version 3.0 compliant but it should be JDBC 4.0 compliant.
  • Driver version: java -jar jconn4.jar jConnect (TM) for JDBC(TM)/7.07 SP110 (Build 26903)/P/EBF21668/JDK 1.6.0/jdbcmain/OPT/Fri Aug 2 06:58:55 PDT 2013
  • WAS is using the getJDBCMajorVersion() method (DatabaseMetaData class) from the Java Platform, Standard Edition 7 API Specification to retrieve the JDBC specification version.

 


Read more...

Environment

  • WAS (WebSphere Application Server) 7, 8, 8.5
  • SAP SDK for ASE 15.7/16.0 JDBC jConnect driver 7.07/16.0
  • Java jdk 1.6/1.7
  • SAP ASE 15.0.3 (Solaris SPARC version in specific incident)

Product

SAP Adaptive Server Enterprise 15.7 ; SAP Adaptive Server Enterprise SDK 16.0 ; Sybase Software Developer Kit 15.7

Keywords

jconn, Adaptive Server Enterprise , KBA , BC-SYB-SDK , SDK , BC-SYB-ASE , Sybase ASE Database Platform (non Business Suite) , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP for Me (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.